/*
 * @Author: 王大坤 160484192@qq.com
 * @Date: 2023-11-13 14:25:46
 * @LastEditors: 王大坤 160484192@qq.com
 * @LastEditTime: 2023-11-22 14:03:56
 * @FilePath: /seoadmin/src/api/api.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import { requestGet, requestPost, requestPut, requestDelete } from '@/utils/util'

const login = data => requestPost('admin/login', data) // 登陆接口

// 首页数据
// const statsIndexData = data => requestPost('index.php?s=admin/home', data)
const getUserList = data => requestPost('index.php?s=admin/getUserList', data)
const getWhiteData = data => requestPost('index.php?s=admin/getWhiteData', data)
const getData1 = data => requestPost('index.php?s=admin/getData1', data)
const getData2 = data => requestPost('index.php?s=admin/getData2', data)
const getData3 = data => requestPost('index.php?s=admin/getData3', data)
const getOrderList = data => requestPost('index.php?s=admin/getOrderList', data)
const buildAward = data => requestPost('index.php?s=admin/buildAward', data)
const getAwardList = data => requestPost('index.php?s=admin/getAwardList', data)
const statsIndexData = data => requestPost('/admin/statsIndexData', data)
const editWhiteData = data => requestPost('index.php?s=admin/editWhiteData', data)
const deleteWhiteData = data => requestPost('index.php?s=admin/deleteWhiteData', data)
const uploadExcel = data => requestPost('index.php?s=admin/uploadExcel', data)
const importWhite = data => requestPost('index.php?s=admin/importWhite', data)



// 获取任务列表
const getTaskList = data => requestPost('/admin/getTaskList', data)
const addTask = data => requestPost('/admin/addTask', data)
const updateTask = data => requestPost('/admin/updateTask', data)
const delTask = data => requestPost('/admin/deleteTask', data)
const getBuildList = data => requestPost('/admin/getBuildList', data)
const addModel = data => requestPost('/admin/addModel', data)
const getModelList = data => requestPost('/admin/getModelList', data)
const updateModel = data => requestPost('/admin/updateModel', data)
const getSelectModel = data => requestPost('/admin/getSelectModel', data)




const setTask = data => requestPost('index.php?s=admin/setTask', data)
const deleteTask = data => requestPost('index.php?s=admin/deleteTask', data)
const getHbList = data => requestPost('index.php?s=admin/getHbList', data)
const addTotal = data => requestPost('index.php?s=admin/addTotal', data)
const editRand = data => requestPost('index.php?s=admin/editRand', data)
const deleteAward = data => requestPost('index.php?s=admin/deleteAward', data)
const addAward = data => requestPost('index.php?s=admin/addAward', data)
const getJjConfigList = data => requestPost('index.php?s=admin/getJjConfigList', data)
const getLogs = data => requestPost('index.php?s=admin/getLogs', data)
const awardList = data => requestPost('index.php?s=admin/awardList', data)
const getDataS = data => requestPost('index.php?s=admin/getDataS', data)


export default {
  login,
  addModel,
  getSelectModel,
  updateModel,
  getJjConfigList,
  getModelList,
  awardList,
  getDataS,
  getLogs,
  addAward,
  editRand,
  addTotal,
  setTask,
  getHbList,
  deleteTask,
  deleteAward,
  statsIndexData,
  importWhite,
  getTaskList,
  uploadExcel,
  editWhiteData,
  deleteWhiteData,
  getUserList,
  getWhiteData,
  getData1,
  getData2,
  getData3,
  getOrderList,
  buildAward,
  getAwardList,
  addTask,
  updateTask,
  delTask,
  getBuildList
}
